Update an existing contact
curl --request PATCH \
--url https://api.raul.ugps.io/api/v1/contact/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_name": "<string>",
"contact_nickname": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"linkedin_url": "<string>",
"linkedin_summary": "<string>",
"position": "<string>",
"city_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birthday_date": "2023-12-25",
"lifecycle_stage": 123,
"lead_status": "<string>"
}
'import requests
url = "https://api.raul.ugps.io/api/v1/contact/{contact_id}"
payload = {
"contact_name": "<string>",
"contact_nickname": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"linkedin_url": "<string>",
"linkedin_summary": "<string>",
"position": "<string>",
"city_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birthday_date": "2023-12-25",
"lifecycle_stage": 123,
"lead_status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_name: '<string>',
contact_nickname: '<string>',
email: '<string>',
phone: '<string>',
address: '<string>',
linkedin_url: '<string>',
linkedin_summary: '<string>',
position: '<string>',
city_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
role_contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_type_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
owner_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
birthday_date: '2023-12-25',
lifecycle_stage: 123,
lead_status: '<string>'
})
};
fetch('https://api.raul.ugps.io/api/v1/contact/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Contact
Update an existing contact
Actualización parcial de un contacto. Ruta REST; equivale a POST /v1/contact/update con contact_id en el body.
PATCH
/
api
/
v1
/
contact
/
{contact_id}
Update an existing contact
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Path Parameters
Contact id
Body
application/json
Response
Contact updated successfully